
      program tst
      dimension iasf(13)
      data iasf/13*1/
      character*32 chars
c
      call opngks
      call gsclip(0)
      call gsasf(iasf)
      call gsfais(1)
c
      call set(0.,1.,0.,1.,0.,1.,0.,1.,1)
      charsize = .020
      ypos = .025
      do i=1,24
        sf = 1.+float(i-1)/10.
        call gslwsc(sf)
        write(chars,"('TEST GSLWSC lwsf = ',f4.1,9x)") sf
        call plchhq(.5,ypos,chars,charsize,0.,0.)
        ypos = ypos + .04
      enddo
      call frame
c
      ypos = .025
      lw = 100
      do i=1,24
        call setusv('LW',i)
        write(chars,"('TEST SETUSV (LW) lw = ',i4,6x)") lw
        call plchhq(.5,ypos,chars,charsize,0.,0.)
        ypos = ypos + .04
        lw = lw+100
      enddo
      call frame
c
      ypos = .025
      in = 5000
      do i=1,24
        call setusv('IN',in)
        write(chars,"('TEST SETUSV (IN) in = ',i4,6x)") in
        call plchhq(.5,ypos,chars,charsize,0.,0.)
        ypos = ypos + .04
        in = in+200
      enddo
      call frame
c
      call clsgks
      stop
      end
      
